Get current user info
curl --request GET \
--url https://api-message.nativehub.live/api/v1/auth/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-message.nativehub.live/api/v1/auth/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-message.nativehub.live/api/v1/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"account_id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"tenant_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"username": "john.doe",
"email": "john.doe@example.com",
"role": "admin",
"permissions": [
"messages.send",
"campaigns.manage",
"contacts.manage"
],
"status": "active",
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-02-10T14:22:00Z"
}{
"error": "Invalid request parameters"
}Auth
Get current user info
Retrieve authenticated user information
GET
/
auth
/
me
Get current user info
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
⌘I